Retail Express API 2.1

Bulk updates product suppliers for a specific product

Sample request:

PUT /products/123/suppliers
[
  {
    "supplier_code": "00",
    "supplier_buy_ex": 1.1,
    "supplier_sku2": "SupplierSKU2",
    "lead_time": 4,
    "is_default": true,
    "notes": "This is a Note."
  }
]
put
https://api.retailexpress.com.au/v2.1/products/{id}/suppliers

Path Parameters

idinteger(int32)required

Product ID

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

List of product suppliers to update

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product suppliers updated successfully

* Additional properties are NOT allowed.
product_idinteger(int32)

Product ID

supplier_codestring | null

Supplier Code

supplier_namestring | null

Supplier Name

supplier_statusboolean

Supplier Status (true - Enabled, false - Disabled)

supplier_buy_exnumber | null(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_sku2string | null

Supplier SKU2

lead_timeinteger | null(int32)

Lead Time in days

is_defaultboolean | null

Indicates if the product supplier is a default supplier

notesstring | null

Notes

is_deletedboolean | null

Indicates if the product supplier is soft deleted

put/products/{id}/suppliers

Body

{}
 
application/json

Gets a specific supplier for a product

Gets a specific supplier for a product

get
https://api.retailexpress.com.au/v2.1/products/{id}/suppliers/{supplier_code}

Path Parameters

idinteger(int32)required

Product ID

supplier_codestring | nullrequired

Supplier Code

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Product supplier retrieved successfully

ProductSupplier

* Additional properties are NOT allowed.
product_idinteger(int32)

Product ID

supplier_codestring | null

Supplier Code

supplier_namestring | null

Supplier Name

supplier_statusboolean

Supplier Status (true - Enabled, false - Disabled)

supplier_buy_exnumber | null(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_sku2string | null

Supplier SKU2

lead_timeinteger | null(int32)

Lead Time in days

is_defaultboolean | null

Indicates if the product supplier is a default supplier

notesstring | null

Notes

is_deletedboolean | null

Indicates if the product supplier is soft deleted

get/products/{id}/suppliers/{supplier_code}
 
application/json

Deletes specific Product Supplier by supplier code

Deletes specific Product Supplier by supplier code

delete
https://api.retailexpress.com.au/v2.1/products/{id}/suppliers/{supplier_code}

Path Parameters

idinteger(int32)required

Product id

supplier_codestring | nullrequired

Product Supplier code

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Product Supplier was deleted

delete/products/{id}/suppliers/{supplier_code}
 

Updates a specific product supplier by product ID and supplier code

Sample request:

PUT /products/123/suppliers/00
{
  "supplier_buy_ex": 1.1,
  "supplier_sku2": "SupplierSKU2",
  "lead_time": 4,
  "is_default": true,
  "notes": "This is a Note."
}
put
https://api.retailexpress.com.au/v2.1/products/{id}/suppliers/{supplier_code}

Path Parameters

idinteger(int32)required

Product ID

supplier_codestring | nullrequired

Supplier code

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product supplier to update

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product supplier updated successfully

ProductSupplier

* Additional properties are NOT allowed.
product_idinteger(int32)

Product ID

supplier_codestring | null

Supplier Code

supplier_namestring | null

Supplier Name

supplier_statusboolean

Supplier Status (true - Enabled, false - Disabled)

supplier_buy_exnumber | null(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_sku2string | null

Supplier SKU2

lead_timeinteger | null(int32)

Lead Time in days

is_defaultboolean | null

Indicates if the product supplier is a default supplier

notesstring | null

Notes

is_deletedboolean | null

Indicates if the product supplier is soft deleted

put/products/{id}/suppliers/{supplier_code}

Body

{}
 
application/json

producttypes